#!/bin/bash
export PGPASSWORD={{ gpadmin_password }}
export PGPORT=5433 # TODO: use a variable
export MASTER_DATA_DIRECTORY=/data/gpdata1/gpsne-1
source /usr/local/greenplum-db/greenplum_path.sh
(cd /tmp && gpinitsystem -a --ignore-warnings -c /tmp/gpinitsystem_singlenode)
# securise access
psql -U gpadmin -d postgres -c "alter role gpadmin with password '{{ gpadmin_password }}'"
psql -U gpadmin -d postgres -c "create database datawarehouse owner gpadmin"
gpstop -a
find "$MASTER_DATA_DIRECTORY" -name 'pg_hba.conf' |xargs -I '{}' sed -i 's/trust/md5/g' {}
gpstart -a
